org.eclipse.microprofile.graphql.tck.apps.basic.api

## Class ScalarTestApi

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.apps.basic.api.ScalarTestApi

    @GraphQLApi
    public class ScalarTestApi
    extends Object

Scalar testing. This allows basic testing of the scalar mapping as defined in GraphQL Entities-Scalars section.

Author:
  Phillip Kruger (phillip.kruger@redhat.com)

### Constructor Summary

Constructors
Constructor and Description
`ScalarTestApi()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BasicInterface` `basicMessageEcho(BasicInput input)`
`BigDecimal` `bigDecimalObject()`
`BigInteger` `bigIntegerObject()`
`Byte` `byteObject()`
`byte` `bytePrimitive()`
`char[]` `charArray()`
`Character` `charObject()`
`char` `charPrimitive()`
`LocalDate` `dateObject()`
`LocalDateTime` `dateTimeObject()`
`Double` `doubleObject()`
`double` `doublePrimitive()`
`Float` `floatObject()`
`float` `floatPrimitive()`
`String` `getaway()`
`ScalarHolder` `getScalarHolder()`
`Short` `getShortObject()`
`short` `getShortPrimitive()`
`String` `id()`
`Integer` `intObject()`
`int` `intPrimitive()`
`Boolean` `isBooleanObject()`
`boolean` `isBooleanPrimitive()`
`Long` `longObject()`
`long` `longPrimitive()`
`ScalarHolder` `setScalarHolder(ScalarHolder scalarHolder)`
`String` `settlement()`
`String` `stringObject()`
`String` `testNonNullParameter(@NonNull String param)`
`LocalTime` `timeObject()`
`@DateFormat(value="dd MMM yyyy",locale="en-GB") LocalDate` `transformedDate()`
`@NumberFormat(value="number #",locale="en-GB") Integer` `transformedNumber(Integer input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScalarTestApi

    public ScalarTestApi()

### Method Detail

#### getScalarHolder

    @Query(value="testScalarsInPojo")
    public ScalarHolder getScalarHolder()

#### setScalarHolder

    @Mutation
    public ScalarHolder setScalarHolder(ScalarHolder scalarHolder)

#### getShortPrimitive

    @Query
    public short getShortPrimitive()

#### getShortObject

    @Query
    public Short getShortObject()

#### intPrimitive

    @Query
    public int intPrimitive()

#### intObject

    @Query
     @Name(value="testIntObject")
    public Integer intObject()

#### longPrimitive

    @Query
    public long longPrimitive()

#### longObject

    @Query
     @Name(value="testLongObject")
    public Long longObject()

#### floatPrimitive

    @Query
    public float floatPrimitive()

#### floatObject

    @Query
     @Name(value="testFloatObject")
    public Float floatObject()

#### doublePrimitive

    @Query
    public double doublePrimitive()

#### doubleObject

    @Query
     @Name(value="testDoubleObject")
    public Double doubleObject()

#### isBooleanPrimitive

    @Query
    public boolean isBooleanPrimitive()

#### isBooleanObject

    @Query
    public Boolean isBooleanObject()

#### charPrimitive

    @Query
    public char charPrimitive()

#### charObject

    @Query
     @Name(value="testCharObject")
    public Character charObject()

#### charArray

    @Query
    public char[] charArray()

#### stringObject

    @Query
     @Name(value="testStringObject")
    public String stringObject()

#### bytePrimitive

    @Query
    public byte bytePrimitive()

#### byteObject

    @Query
     @Name(value="testByteObject")
    public Byte byteObject()

#### bigIntegerObject

    @Query
    public BigInteger bigIntegerObject()

#### bigDecimalObject

    @Query
     @Name(value="testBigDecimalObject")
    public BigDecimal bigDecimalObject()

#### dateObject

    @Query
    public LocalDate dateObject()

#### timeObject

    @Query
     @Name(value="testTimeObject")
    public LocalTime timeObject()

#### dateTimeObject

    @Query
    public LocalDateTime dateTimeObject()

#### id

    @Query
     @Name(value="testId")
    public String id()

#### basicMessageEcho

    @Query
    public BasicInterface basicMessageEcho(@Name(value="input")
                                                  BasicInput input)

#### getaway

    @Query
    public String getaway()

#### settlement

    @Mutation
    public String settlement()

#### testNonNullParameter

    @Query
    public String testNonNullParameter(@Name(value="param") @NonNull
                                              @NonNull String param)

#### transformedDate

    @Query
     @Description(value="Testing transformed date as a response")
     @DateFormat(value="dd MMM yyyy",
                locale="en-GB")
    public @DateFormat(value="dd MMM yyyy",locale="en-GB") LocalDate transformedDate()

#### transformedNumber

    @Mutation
     @Description(value="Testing transformed number as a response")
     @NumberFormat(value="number #",
                  locale="en-GB")
    public @NumberFormat(value="number #",locale="en-GB") Integer transformedNumber(Integer input)